Customer preferences
Save Group Customer Preference
Save preference for a notification group for the authenticated customer.
Authorization
bearerAuth AuthorizationBearer <token>
Customer JWT bearer authentication.
In: header
Path Parameters
notificationGroupId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.dokaai.com/api/v1/dokaai/nudge/customer-preferences/notification-groups/string" \ -H "Content-Type: application/json" \ -d '{ "isGroupNotificationOff": true }'{
"status": "success",
"message": "string",
"data": {
"status": "string"
},
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}